Bug 31261 - PackageManager does not check installation state intensively
PackageManager does not check installation state intensively
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 11:44 CEST by Dirk Wiesenthal
Modified: 2013-11-19 06:41 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-05-02 11:44:03 CEST
I installed an app and configuring a dependent package failed:

dpkg -l "$package"
iU  $package

So the package is unpacked but not installed.

But the PackageManager regards it as installed and the App Center thinks the App is working. The reason is that the high-level check package.is_installed() does not check the state enough. The correct way I found: package._pkg.current_state == apt_pkg.CURSTATE_INSTALLED. Same probably holds for uninstalled: Better check for apt_pkg.CURSTATE_NOT_INSTALLED.
Comment 1 Dirk Wiesenthal univentionstaff 2013-07-18 13:07:32 CEST
Fixed in
  univention-lib 3.0.6-1.144.201307181251
Comment 2 Erik Damrose univentionstaff 2013-08-23 14:19:54 CEST
Check is done against apt_pkg.CURSTATE_INSTALLED: OK
Installation status is checked correctly: OK
Changelog OK
-> Verified
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:45 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".